# UniTAP.dev.modules.dut_tests.dut_default_params.pixel_video_test

class VideoPixelTestColorDepth(enum.IntEnum):

Class `VideoPixelTestColorDepth` describes available supported color depth.

ColorDepth6 = <VideoPixelTestColorDepth.ColorDepth6: 6>
ColorDepth8 = <VideoPixelTestColorDepth.ColorDepth8: 8>
ColorDepth10 = <VideoPixelTestColorDepth.ColorDepth10: 10>
ColorDepth12 = <VideoPixelTestColorDepth.ColorDepth12: 12>
ColorDepth16 = <VideoPixelTestColorDepth.ColorDepth16: 16>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class VideoPixelTestElementFormat(enum.IntEnum):

Class `VideoPixelTestElementFormat` describes available supported color formats.

RGB_6BPC = <VideoPixelTestElementFormat.RGB_6BPC: 16>
RGB_8BPC = <VideoPixelTestElementFormat.RGB_8BPC: 17>
RGB_10BPC = <VideoPixelTestElementFormat.RGB_10BPC: 18>
RGB_12BPC = <VideoPixelTestElementFormat.RGB_12BPC: 19>
RGB_16BPC = <VideoPixelTestElementFormat.RGB_16BPC: 20>
YCbCr444_080808 = <VideoPixelTestElementFormat.YCbCr444_080808: 256>
YCbCr444_161616 = <VideoPixelTestElementFormat.YCbCr444_161616: 257>
YCbCr420_8BPC_080808 = <VideoPixelTestElementFormat.YCbCr420_8BPC_080808: 800>
YCbCr420_10BPC_080808 = <VideoPixelTestElementFormat.YCbCr420_10BPC_080808: 801>
YCbCr420_12BPC_161616 = <VideoPixelTestElementFormat.YCbCr420_12BPC_161616: 802>
YCbCr420_16BPC_161616 = <VideoPixelTestElementFormat.YCbCr420_16BPC_161616: 803>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class VideoPixelTestAlignment(enum.IntEnum):

Class `VideoPixelTestColorDepth` describes available supported alignment.

MSB = <VideoPixelTestAlignment.MSB: 0>
LSB = <VideoPixelTestAlignment.LSB: 1>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class VideoPixelTestExportFormat(enum.IntEnum):

Class `VideoPixelTestColorDepth` describes available supported files format.

BIN = <VideoPixelTestExportFormat.BIN: 0>
PPM = <VideoPixelTestExportFormat.PPM: 1>
BMP = <VideoPixelTestExportFormat.BMP: 2>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class VideoPixelTestParam:

Class `VideoPixelTestParam` describes parameters for video pixel test.

- Defines frame width as number of elements `image_width`.
- Defines frame height as number of elements `image_height`.
- Defines the color depth of the image as number of bits per color channel regardless of the color format `color_depth` type `VideoPixelTestColorDepth`.
- Defines the element format used to encode the pixel data of the bitmap `frame_data`.
- Defines type of alignment (LSB-MSB data alignment) `alignment` type `VideoPixelTestAlignment`.
- Defines the length of the video test as number of frames `frames_number`.
- Defines number of frame that are allowed to be considered as 'failed' before the entire test is considered as 'failed' `frames_number_mismatch`.
- Defines the number of pixels that allowed to be considered as 'failed' before the frame is considered as 'failed' `pixel_tolerance`.
- Maximum number of frames failed frames saved per test run `max_auto_save_failed`.
- Contains the full path to the folder where failed frames are to be saved without trailing backslash `failed_frame_folder`.
- Defines the number of failed frames to be exported from the video test `max_export_failed_frames`.
- Defines export file format `export_data_format` type `VideoPixelTestExportFormat`.

VideoPixelTestParam(json_obj)
image_width: int

Set and get frame width as number of elements.

###### Returns:

> object of int type

image_height: int

Set and get frame height as number of elements.

###### Returns:

> object of int type

color_depth

Set and get color depth of the image.

###### Returns:

> object `VideoPixelTestColorDepth`

element_format

Set and get element format used to encode the pixel data.

###### Returns:

> object `VideoPixelTestElementFormat`

frame_data: Union[bytearray, List[int], str, NoneType]

Set and get pixel data of image.

###### Returns:

> object bytearray | list[int] | None | str

alignment

Set and get type of alignment.

###### Returns:

> object `VideoPixelTestAlignment`

frames_number: int

Set and get length of the video test as number of frames.

###### Returns:

> object `VideoPixelTestAlignment`

frames_number_mismatch: int

Set and get number of frame that are allowed to be considered as 'failed' before the entire test is considered as 'failed'.

###### Returns:

> object `VideoPixelTestAlignment`

pixel_tolerance: int

Set and get number of pixels that allowed to be considered as 'failed' before the frame is considered as 'failed'.

###### Returns:

> object `VideoPixelTestAlignment`

max_auto_save_failed: int

Set and get maximum number of frames failed frames saved per test run.

###### Returns:

> object `VideoPixelTestAlignment`

failed_frame_folder

Set and get full path to the folder where failed frames are to be saved without trailing backslash.

###### Returns:

> object str

max_export_failed_frames: int

Set and get number of failed frames to be exported from the video test.

###### Returns:

> object int

export_data_format

Set and get file format.

###### Returns:

> object `VideoPixelTestExportFormat`